Unit tasg8c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASG8C_p;

function tasg8c: String;

implementation

function tasg8c: String;
var
M,N,LTR,L,J,I,JI,JJ,II,IERR :Integer;
RCOND :Real;
NLEAD :Array [0..3] of Integer;
X :Array [0..3] of Complex;
const
A :Array [0..15] of Complex = ( ( re:7.9; im:0.0 ),( re:8.5; im:0.0 ),( re:4.3; 
im:0.0 ),( re:3.2; im:0.0 ),( re:5.6; im:0.0 ),( 
re:-4.8; im:0.0 ),( re:4.2; im:0.0 ),( re:-1.4; 
im:0.0 ),( re:5.7; im:0.0 ),( re:0.8; im:0.0 ),( 
re:-3.2; im:0.0 ),( re:-8.9; im:0.0 ),( re:-7.2; 
im:0.0 ),( re:3.5; im:0.0 ),( re:9.3; im:0.0 ),( 
re:3.3; im: 0.0 ) );
B :Array [0..3] of Complex = ( ( re:7.0; im:0.0 ),( re:7.0; im:0.0 ),( re:7.0; 
im:0.0 ),( re:7.0; im: 0.0 ) );
begin
Result := '';  {   }
M := 4;
N := M;
LTR := 0;
L := 0;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   A=' + #$0D#$0A]);
for I:=1 to M do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('   %20.16f  %20.16f ',
 [A[(I-1)+(J-1)*4].re,A[(I-1)+(J-1)*4].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
ASG8C(A,M,N,NLEAD,B,LTR,L,RCOND,X,IERR);
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   NLEAD=' + #$0D#$0A]);
for JI:=1 to N do
 begin
  Result := Result + Format('   %3d ',[NLEAD[JI-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   A=' + #$0D#$0A]);
for JJ:=1 to N do
 begin
  for II:=1 to M do
   begin
    Result := Result + Format('   %20.16f  %20.16f ',
 [A[(II-1)+(JJ-1)*4].re,A[(II-1)+(JJ-1)*4].im]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d ',[IERR]);
Result := Result + Format('%s',['     RCOND=']);
Result := Result + Format('%20.16f ',[RCOND]) + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   B=' + #$0D#$0A]);
for J:=1 to N do
 begin
  Result := Result + Format('   %20.16f  %20.16f ',
 [B[J-1].re,B[J-1].im]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   X=' + #$0D#$0A]);
for J:=1 to N do
 begin
  Result := Result + Format('   %20.16f  %20.16f ',
 [X[J-1].re,X[J-1].im]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tasg8c',Result);  {     tasg8c.res }
exit;
end;

end.
